Export the assets of a project to CSV

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /export/csv/projects/{project_id}/assets.csv

Get a CSV file with the assets of a project. Each row gives the asset, its metadata, and the status and the assignees of each task type. Add a query parameter for each column to filter on, for example episode_id. Vendors cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Responses

  • 200 text/csv

    The CSV file

  • 400

    An identifier is not a valid UUID

  • 403

    You do not have access to this project, or you are a vendor

  • 404

    The project does not exist

GET /export/csv/projects/{project_id}/assets.csv
curl -X GET "http://api.example.com/export/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/assets.csv" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/export/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/assets.csv"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
Project,Type,Name,Description,Time Spent Project A,Character,Asset1,Description,10.50